begin;

-- Show the number of distinct interactions grouped by interaction type
-- (canonical or specific) and data source.

create temporary table tmp_interactions_by_source as
    select interaction_type, name, total
    from (
        select name, count(distinct rigid) as total, 'specific' as interaction_type
        from mitab_interactions
        natural join mitab_sources
        group by name
        union
        select name, count(distinct crigid) as total, 'canonical' as interaction_type
        from mitab_interactions
        inner join mitab_sources
            on crigid = mitab_sources.rigid
        group by name
        ) as X
    order by interaction_type, name;

\copy tmp_interactions_by_source to '<directory>/interactions_by_source'

rollback;
